AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/AhaSend/ahasend-go/models/requests"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
subAccountID := uuid.New()
// Create context for the API call
ctx := context.Background()
response, httpResp, err := client.SubAccountsAPI.SuspendSubAccount(ctx, accountID, subAccountID, requests.SuspendSubAccountRequest{
Reason: "Customer requested temporary pause",
})
if err != nil {
log.Fatalf("Error suspending sub account: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Sub account suspended. Status: %d\n", httpResp.StatusCode)
fmt.Printf("ID: %s\n", response.ID)
fmt.Printf("Status: %s\n", response.Status)
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}import { AhaSendClient } from "@ahasend/sdk";
const client = AhaSendClient.fromEnv();
const subAccountId = "00000000-0000-4000-8000-000000000004";
const subAccount = await client.subAccounts.suspend(subAccountId, {
reason: "Requested by account administrator",
});
console.log("Sub-account suspended.", { id: subAccount.id, status: subAccount.status });
curl --request POST \
--url https://api.ahasend.com/v2/accounts/{account_id}/sub-accounts/{sub_account_id}/suspend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Customer requested temporary pause"
}
'import requests
url = "https://api.ahasend.com/v2/accounts/{account_id}/sub-accounts/{sub_account_id}/suspend"
payload = { "reason": "Customer requested temporary pause" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"object": "sub_account",
"id": "2f3c5d2a-9ef8-4c91-a5f4-79990c8c1d3a",
"parent_account_id": "9d0cf9d0-4f5e-4674-bcf1-8ec39968b6e1",
"name": "Acme Subsidiary",
"website": "acme.example.com",
"status": "active",
"monthly_credit": 0,
"created_at": "2024-01-01T00:00:00Z",
"domain_count": 2,
"member_count": 3,
"last_activity_at": "2024-01-15T12:00:00Z"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}Sub Accounts
Suspend Sub Account
Suspends a sub account under the parent account
POST
/
v2
/
accounts
/
{account_id}
/
sub-accounts
/
{sub_account_id}
/
suspend
AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/AhaSend/ahasend-go/models/requests"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
subAccountID := uuid.New()
// Create context for the API call
ctx := context.Background()
response, httpResp, err := client.SubAccountsAPI.SuspendSubAccount(ctx, accountID, subAccountID, requests.SuspendSubAccountRequest{
Reason: "Customer requested temporary pause",
})
if err != nil {
log.Fatalf("Error suspending sub account: %v", err)
}
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Sub account suspended. Status: %d\n", httpResp.StatusCode)
fmt.Printf("ID: %s\n", response.ID)
fmt.Printf("Status: %s\n", response.Status)
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}import { AhaSendClient } from "@ahasend/sdk";
const client = AhaSendClient.fromEnv();
const subAccountId = "00000000-0000-4000-8000-000000000004";
const subAccount = await client.subAccounts.suspend(subAccountId, {
reason: "Requested by account administrator",
});
console.log("Sub-account suspended.", { id: subAccount.id, status: subAccount.status });
Platform Partner feature: Sub Accounts is part of our Platform Partner capabilities and is currently in early access. Contact us to enable it on your account.
Authorizations
API key for authentication. Non-empty Security Requirement values are AhaSend API-key roles. Roles listed within one requirement object are jointly required; separate requirement objects are alternatives.
Path Parameters
Parent account ID
Sub account ID
Body
application/json
Reason shown on the sub account suspension record
Required string length:
1 - 500Response
Sub account suspended successfully
Object type identifier
Available options:
sub_account Unique identifier for the sub account
Parent account ID
When the sub account was created
Sub account name
Account website domain
Maximum string length:
255Current sub-account status
Available options:
active, suspended, parent-suspended, deleted Optional monthly cap; 0 means no cap
Required range:
x >= 0Number of domains owned by the sub account
Required range:
x >= 0Number of direct members on the sub account
Required range:
x >= 0Last recorded sub-account email activity

